> This page is for version v2026.01.16-dev.
> For other versions, use one of these documentation indexes:
> - latest (default): https://docs.machanirobotics.dev/latest/llms.txt
> - v2026.01.16-dev: https://docs.machanirobotics.dev/v-2026-01-16-dev/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.machanirobotics.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.machanirobotics.dev/_mcp/server.

# Update Timeline

PATCH https://api.machanirobotics.com/v1/interaction/timelines/{timeline}
Content-Type: application/json

Updates a timeline

Reference: https://docs.machanirobotics.dev/v-2026-01-16-dev/2026-01-16-dev/latest/timeline-registry-service/updatetimeline

## Request

### Path parameters

- `timeline` (string, required) — The timeline id.

### Query parameters

- `updateMask` (string, optional) — the update mask to apply. If not given, updates all the fields.

### Body (application/json)

This endpoint expects a Timeline.

- `title` (string, required) — The title of the timeline.
- `name` (string, optional) — The resource name of the timeline.
- `animationStrips` (list of AnimationStrip, optional) — Animations strips that are in the timeline.
- `speechStrips` (list of SpeechStrip, optional) — Speech strips to play

## Response

### 200

OK

- `title` (string, required) — The title of the timeline.
- `name` (string, optional) — The resource name of the timeline.
- `animationStrips` (list of AnimationStrip, optional) — Animations strips that are in the timeline.
- `speechStrips` (list of SpeechStrip, optional) — Speech strips to play

## Errors

### 400 Bad Request Error

Bad Request

- `code` (integer, optional) — The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
- `message` (string, optional) — A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
- `details` (list of GoogleProtobufAny, optional) — A list of messages that carry the error details. There is a common set of message types for APIs to use.

## Types

### AnimationStrip

AnimationStrip is an object that represents an animation strip to be played on a track.

- `uid` (string, required) — Unique ID of the animation.
- `animation` (string, required) — Name of the animation.
- `trackNum` (integer, required) — Track number on which the animation will be played.
- `begin` (string, required) — Start time of the animation.
- `duration` (string, required) — Duration of the animation.
- `rampin` (double, required) — Ramp-in value for the animation.
- `rampout` (double, required) — Ramp-out value for the animation.
- `magnitude` (double, required) — Magnitude of the animation.
- `type` (integer, required) — Type of the animation.

### SpeechStrip

SpeechStrip is an object that represents a speech strip to be played on a track.

- `speechId` (string, required) — Name is the resource name of the Speech used in the strip.
- `trackNum` (integer, required) — Track number on which the speech will be played.
- `begin` (string, required) — Start time of the speech.
- `duration` (string, required) — Duration of the speech.

### GoogleProtobufAny

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

- `@type` (string, optional) — The type of the serialized message.

## Examples

**Request**

```json
{
  "title": "Morning Greeting Sequence"
}
```

**Response**

```json
{
  "title": "Morning Greeting Sequence",
  "name": "timelines/123e4567-e89b-12d3-a456-426614174000",
  "animationStrips": [
    {
      "uid": "anim-001",
      "animation": "wave_hand",
      "trackNum": 1,
      "begin": "0.0s",
      "duration": "3.5s",
      "rampin": 0.5,
      "rampout": 0.5,
      "magnitude": 1,
      "type": 2
    }
  ],
  "speechStrips": [
    {
      "speechId": "speech-hello-001",
      "trackNum": 2,
      "begin": "0.5s",
      "duration": "2.0s"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.machanirobotics.com/v1/interaction/timelines/timeline"

payload = { "title": "Morning Greeting Sequence" }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.machanirobotics.com/v1/interaction/timelines/timeline';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"title":"Morning Greeting Sequence"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.machanirobotics.com/v1/interaction/timelines/timeline"

	payload := strings.NewReader("{\n  \"title\": \"Morning Greeting Sequence\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.machanirobotics.com/v1/interaction/timelines/timeline")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"title\": \"Morning Greeting Sequence\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.machanirobotics.com/v1/interaction/timelines/timeline")
  .header("Content-Type", "application/json")
  .body("{\n  \"title\": \"Morning Greeting Sequence\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.machanirobotics.com/v1/interaction/timelines/timeline', [
  'body' => '{
  "title": "Morning Greeting Sequence"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.machanirobotics.com/v1/interaction/timelines/timeline");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"title\": \"Morning Greeting Sequence\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["title": "Morning Greeting Sequence"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.machanirobotics.com/v1/interaction/timelines/timeline")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```